## Vehicle File (.vveh)

File for the definition of a vehicle in vecto. Can be created with the [Vehicle Editor](#vehicle-editor-general-tab).

- File format is [JSON](#json).
- Filetype ending is ".vveh"

Refers to other files:

* [Cross Wind Correction (VCDV, VCDB)](#vehicle-cross-wind-correction)
* [Retarder Loss Map (VRLM)](#retarder-loss-torque-input-file-.vrlm)
* [Transmission Loss Map (for Angular Gear) (VTLM)](#transmission-loss-map-.vtlm)

**Example:**

~~~json
{
  "Header": {
    "CreatedBy": "",
    "Date": "2020-09-07T15:36:11.4469594Z",
    "AppVersion": "3",
    "FileVersion": 10
  },
  "Body": {
    "SavedInDeclMode": false,
    "VehCat": "Tractor",
    "LegislativeClass": "Unknown",
    "CurbWeight": 8229.0,
    "CurbWeightExtra": 7500.0,
    "MassMax": 18.0,
    "Loading": 19300.0,
    "rdyn": 492.0,
    "CdCorrMode": "CdofVdecl",
    "CdCorrFile": "",
    "AxleConfig": {
      "Type": "4x2",
      "Axles": [
        {
          "Inertia": 14.9,
          "Wheels": "315/70 R22.5",
          "AxleWeightShare": 0.2,
          "TwinTyres": false,
          "RRCISO": 0.0055,
          "FzISO": 33350.0,
          "Type": "VehicleNonDriven"
        },
        {
          "Inertia": 14.9,
          "Wheels": "315/70 R22.5",
          "AxleWeightShare": 0.25,
          "TwinTyres": true,
          "RRCISO": 0.0065,
          "FzISO": 33350.0,
          "Type": "VehicleDriven"
        },
        {
          "Inertia": 19.2,
          "Wheels": "385/65 R22.5",
          "AxleWeightShare": 0.18333,
          "TwinTyres": false,
          "RRCISO": 0.0055,
          "FzISO": 41690.0,
          "Type": "Trailer"
        },
        {
          "Inertia": 19.2,
          "Wheels": "385/65 R22.5",
          "AxleWeightShare": 0.18333,
          "TwinTyres": false,
          "RRCISO": 0.0055,
          "FzISO": 41690.0,
          "Type": "Trailer"
        },
        {
          "Inertia": 19.2,
          "Wheels": "385/65 R22.5",
          "AxleWeightShare": 0.18334,
          "TwinTyres": false,
          "RRCISO": 0.0055,
          "FzISO": 41690.0,
          "Type": "Trailer"
        }
      ]
    },
    "EngineStopStart": true,
    "EcoRoll": "None",
    "PredictiveCruiseControl": "None",
    "ATEcoRollReleaseLockupClutch": false,
    "CdA": 5.3,
    "VehicleHeight": 4.0,
    "IdlingSpeed": 600.0,
    "Retarder": {
      "Type": "None",
      "Ratio": 1.0,
      "File": ""
    },
    "Angledrive": {
      "Type": "None",
      "Ratio": 0.0,
      "LossMap": ""
    },
    "PTO": {
      "Type": "None",
      "LossMap": "",
      "Cycle": ""
    },
    "TorqueLimits": {},
    "MaxDrivetrainPower": 1000.0,
    "InitialSoC": 50.0,
    "PowertrainConfiguration": "ParallelHybrid",
    "ElectricMotors": [
      {
        "Count": 1,
        "Ratio": 1.0,
        "MechanicalEfficiency": 1.0,
        "Position": "P2",
        "MotorFile": "GenericEMotor_140kW_936Nm.vem"
      }
    ],
    "Battery": {
      "NumPacks": 1,
      "BatteryFile": "GenericBattery_10kWh_658V.vbat"
    }
  }
}
~~~

