## Summary Results (.vsum)
The .vsum file includes total / average results for each calculation run in one execution (ie. click of [START Button](#main-form)). The file is located in the directory of the fist run .vecto file.

### Quantities:

**Note:** For dual-fuel vehicles the fuel consumption columns are present for each fuel (e.g., FC-Map_Diesel CI, FC-Map_NG CI).

| Name                                   | Unit                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| -----------------------                | --------------------------------------             | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------                                                                                                                                                                                                                                                                                                                                                                             |
| Job                                    | [-]                                                | Job number in the format "X-Y" (with X as filenumber, and Y as cycle number)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| Input File                             | [-]                                                | Name of the input job file (.vecto)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| Cycle                                  | [-]                                                | Name of the cycle file (or cycle name in declaration mode)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Status                                 | [-]                                                | The result status of the run (Success, Aborted)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| Mass                                   | [kg]                                               | Vehicle mass (**Corected Actual Curb Mass Vehicle** + **Curb Mass Extra Trailer/Body**, see [Vehicle Editor](#vehicle-editor-general-tab))                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Loading                                | [kg]                                               | Vehicle loading (see [Vehicle Editor](#vehicle-editor-general-tab))                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| Cargo Volume                           | [m^3]                                              | Vehicle cargo volume (Declaration Mode only!)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| time                                   | [s]                                                | Total simulation time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| distance                               | [km]                                               | Total traveled distance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| speed                                  | [km/h]                                             | Average vehicle speed                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| altitudeDelta                          | [m]                                                | Altitude difference between start and end of cycle                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| FC-Map<\_FuelName>                     | [g/h], [g/km]                                      | Average fuel consumption before all corrections, interpolated from [Fuel Map](#engine-fuel-consumption-calculation), based on torque and engine speed. *Note:* The fuel name is only stated in case of dual fuel engines.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| FC-NCVc<\_FuelName>                    | [g/h], [g/km]                                      | Average fuel consumption after correcting for the [net calorific value](#engine-correction-factors) (Based on FC-Map from .vmod)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| FC-WHTCc<\_FuelName>                   | [g/h], [g/km]                                      | Average fuel consumption after [WHTC Correction](#engine-fuel-consumption-calculation) (Based on FC-NCVc from .vmod)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| FC-ESS<\_FuelName>                     | [g/h], [g/km]                                      | Average fuel consumption considering the ICE is not always off during ICE-off periods in the simulation. Considers all auxiliary demands during Off-phases taking into account the ESS utility factors                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| FC-ESS_Corr<\_FuelName>                | [g/h], [g/km]                                      | Average fuel consumption including fuel consumption during engine-off periods corrected for energy demand during engine-off periods not accounted  (FC-ESS_Corr = FC_WHTCc + FC_ESS)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| FC-BusAux_PS_Corr<\_FuelName>          | [g/h], [g/km]                                      | Average fuel consumption corrected for the excessive/missing energy for the smart pneumatic system, also corrected for the air demand according to the correct driving time.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| FC-BusAux_ES_Corr<\_FuelName>          | [g/h], [g/km]                                      | Average fuel consumption corrected for the excessive/missing energy for the smart electric system                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| FC-WHR_Corr<\_FuelName>                | [g/h], [g/km]                                      | Average fuel consumption including fuel consumption deduction due to electric power generated by an electric WHR system (FC-WHR_Corr = FC-ESS - E_WHR_el / eta_alternator * k_vehline)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| FC-SoC<\_FuelName>                     | [g/h], [g/km]                                      | Average fuel consumption to correct the REESS SoC so that the SoC at the end of the cycle mathces the SoC at the beginning                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| FC-SoC_Corr<\_FuelName>                | [g/h], [g/km]                                      | Average fuel consumption including the correction for the REESS SoC                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| FC-BusAux\_AuxHeater<\_FuelName>       | [g/h], [g/km]                                      | Average fuel consumption of the additionalheater. In case of dual-fuel vehicles the aux heater is fueled with the primary fuel                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| FC-BusAux\_AuxHeater\_Corr<\_FuelName> | [g/h], [g/km]                                      | Average fuel consumptioncorrected for the aux heater fuel demand                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| FC-Final<\_FuelName>                   | [g/h], [g/km], [l/100km], [l/100tkm], [l/100m^3km] | Final average fuel consumption after ALL corrections (FC-Final = FC-ESS_Corr). Fuel consumption for calculation of CO~2~ value. If Loading = 0[kg] the column [l/100tkm] is left empty.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| k_vehline                              | [g/kWh]                                            | Slope of the regression line derived from all operating points P_wheel vs. FC_final_mod where P_wheel > 0 and FC_final_mod > 0                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| k_engline                              | [g/kWh]                                            | Slope of the regression line used for the [fuel consumption correction](#engine-fuel-consumption-correction)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| CO2                                    | [g/km], [g/tkm], [g/m^3km]                         | Average CO~2~ emissions (based on FC-Final value). Output for [l/100tkm] is empty when Loading = 0[kg].                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| REESS Start SoC                        | [%]                                                | State of charge of the REESS at the beginning of the simulation run                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| REESS End SoC                          | [%]                                                | State of charge pf the REESS at the end of the simulation run                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ΔE_REESS                               | [kWh]                                              | Delta energy stored in the REESS between start and end of the simulation run. Calculated from P_REESS_int.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| E_REESS_loss                           | [kWh]                                              | Total losses in the REESS due to its internal resistance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| E_REESS_T_chg                          | [kWh]                                              | Total energy charged into the REESS at the terminal (includes losses at internal resistance)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| E_REESS_T_dischg                       | [kWh]                                              | Total energy discharged from the REESS at the terminal (includes losses at the internal resistance)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| E_REESS_int_chg                        | [kWh]                                              | Total energy charged into the REES (excluding losses)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| E_REESS_int_dischg                     | [kWh]                                              | Total energy discharged from the REESS (excluding losses)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| P_wheel_in_pos                         | [kW]                                               | Average positive power at the wheels                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| P_wheel_in                             | [kW]                                               | Average power at the wheels                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| P_fcmap_pos                            | [kW]                                               | Average positive power at engine (all non-negative values averaged over the whole cycle duration)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| P_fcmap_pos                            | [kW]                                               | Average power at engine (both, positive and negative values, averaged over the whole cycle duration)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| E_fcmap_pos                            | [kWh]                                              | Total positive work provided by the combustion engine.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| E_fcmap_neg                            | [kWh]                                              | Total energy                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| E_powertrain_inertia                   | [kWh]                                              | Total work of engine, torqueconverter, and gearbox inertia                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| E_aux_xxx                              | [kWh]                                              | Energy demand of auxiliary with ID xxx applied as torque demand to the engine (i.e. mechanical energy demand). See also [Aux Dialog](#auxiliary-dialog) and [Driving Cycle](#driving-cycles-.vdri). In Declaration Mode the following auxiliaries always exists: E_aux_FAN (Fan), E_aux_PS (Pneumatic System), E_aux_STP (Steering Pump), E_aux_ES (Electrical System), E_aux_AC (Air Condition). In case of fully electrical auxiliaries for trucks the electrical power demand is converted to mechanical power using the alternator efficiency. For Buses with fully electrical auxiliaries the consumer is connected to the electrical system and thus the according column reports 0 power demand. |
| E_aux_sum                              | [kWh]                                              | Total energy demand of all auxiliaries. This is the sum for all E_aux_xxx columns and the bus auxiliaires.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| E_aux_el(HV)                           | [kWh]                                              | Total energy demand of the electric auxiliaries connected directly to the REESS.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| E_clutch_loss                          | [kWh]                                              | Total energy loss in the clutch                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| E_tc_loss                              | [kWh]                                              | Total torque converter energy loss                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| E_gbx_loss                             | [kWh]                                              | Total transmission energy losses at gearbox (includes loss-map, inertia, and gear-shifts). E_shift_loss is already included here.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| E_shift_loss                           | [kWh]                                              | Total energy losses due to gearshifts                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| E_ret_loss                             | [kWh]                                              | Total retarder energy loss                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| E_angle_loss                           | [kWh]                                              | Total torque converter energy loss                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| E_axl_loss                             | [kWh]                                              | Total transmission energy losses at the axlegear                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| E_brake                                | [kWh]                                              | Total work dissipated in mechanical braking (sum of service brakes, retader and additional engine exhaust brakes)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| E_vehicle_inertia                      | [kWh]                                              | Total work of wheels inertia and vehicle mass                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| E_air                                  | [kWh]                                              | Total work of air resistance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| E_roll                                 | [kWh]                                              | Total work of rolling resistance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| E_grad                                 | [kWh]                                              | Total work of gradient resistance                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| E_aux_ESS_missing | [kWh] | Total work of auxiliaries missing due to ICE off during ESS events. Used for fuel consumption correction in the post-processing. |
| n_EM_\<POS>-em_avg                     | [rpm]                                              | Average angular speed of the electric machine                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| E_EM_\<POS>-em_drive                   | [kWh]                                              | Mechanical energy at the electric motor shaft applied by the electric machine at position *POS* to drive the vehicle                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| E_EM_\<POS>-em_gen                     | [kWh]                                              | Mechanical energy at the electric motor shaft recuperated by the electric machine at position *POS*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| η_EM_\<POS>-em_drive                   | [-]                                                | Average efficiency of the electric machine when the electric machine drives the vehicle. Based on the mechanical energy at the electric motor shaft and the electric energy.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| η_EM_\<POS>-em_gen                     | [-]                                                | Average efficiency of the electric machine when the electric machine generates electric energy. Based on the mechanical energy at the electric motor shaft and the electric energy.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| E_EM_\<POS>_drive                      | [kWh]                                              | Mechanical energy applied at the drivetrain by the electric machine at position *POS* to drive the vehicle                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| E_EM_\<POS>_gen                        | [kWh]                                              | Mechanical energy at the drivetrain recuperated by the electric machine at position *POS*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| η_EM_\<POS>_drive                      | [-]                                                | Average efficiency at the drivetrain of the electric machine when the electric machine drives the vehicle. Based on the mechanical energy at the drivetrain and the electric power.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| η_EM_\<POS>_gen                        | [-]                                                | Average efficiency at the drivetrain of the electric machine when the electric machine generates electric energy. Based on the mechanical energy at the drivetrain and the electric power                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| E_EM_\<POS>\_off_loss                  | [kWh]                                              | Total losses added by the electric machine when the electric machine is not energized (i.e., the electric machine's drag losses)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| E_EM_\<POS>\_transm_loss               | [kWh]                                              | Losses of the transmission stage in the electric motor component.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| E_EM_\<POS>-em_loss                    | [kWh]                                              | Total losses of the electric motor component. Calculated from P_<POS>-em_loss                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| E_EM_\<POS>\_loss                      | [kWh]                                              | Losses of the electric machine. Calculated from P_<POS>_loss                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| EM \<POS> off time share               | [%]                                                | Time share the electric motor is not energized during the cycle.
| BusAux PS air consumed                 | [Nl]                                               | Total air consumed by the pneumatic system.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| BusAux PS air generated                | [Nl]                                               | Total air generated by the pneumatic compressor. Difference to "BusAux PS air consumed" is corrected in the [post-processing](#engine-fuel-consumption-correction)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| E_PS_compressorOff                     | [kWh]                                              | Total energy demand for the pneumatic compressor if no air would be generated (compressor always in drag)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| E_PS_compressorOn                      | [kWh]                                              | Total mechanical work for the pneumatic compressor to generate "BusAux PS air generated"                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| E_BusAux_ES_consumed                   | [kWh]                                              | Total electric energy for all electric consumers                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| E_BusAux_ES_generated                  | [kWh]                                              | Total electric energy generated                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| ΔE_BusAux_Bat                          | [kWh]                                              | In case of smart electrics, the difference of energy stored in the RESS between the beginning and end of the driving cycle. This energy difference is corrected in the post-processing                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| E_BusAux_PS_corr                       | [kWh]                                              | Mechanical energy of the pneumatic system that needs to be considered in the post-processing to [correct the total fuel consumption](#engine-fuel-consumption-correction)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| E_BusAux_ES_mech_corr                  | [kWh]                                              | Mechanical energy of the electric system that needs to be considered in the post-processing to [correct the total fuel consumption](#engine-fuel-consumption-correction)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| E_BusAux_HVAC_mech                     | [kWh]                                              | Mechancial energy demand of the HVAC system                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| E_BusAux_HVAC_el                       | [kWh]                                              | Electrical energy demand of the HVAC system                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| E_BusAux_AuxhHeater                    | [kWh]                                              | Energy demand of an additional aux heater.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| E_WHR_el                               | [kWh]                                              | Energy from the electric WHR system                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| E_WHR_mech                             | [kWh]                                              | Energy from the mechanical WHR system                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| E_ice_start                            | [kWh]                                              | Total work for starting the combustion engine, not considered in FC-Map and FC-AAUX. Considered in FC-ESS_Corr via [fuel consumption correction](#engine-fuel-consumption-correction) (Based on P_ice_start in .vmod)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ice_starts                             | [-]                                                | Number of times the combustion engine is started                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| E_PTO_CONSUM                           | [kWh]                                              | Total energy demand of the pto consumer (if a pto consumer was used).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| E_PTO_TRANSM                           | [kWh]                                              | Total energy demand of the pto transmission (if a pto transmission was used).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| E_WHR_el                               | [kWh]                                              | Total electric energy generated by an electrical WHR system                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| E_WHR_mech                             | [kWh]                                              | Total electric energy generated by an electrical WHR system                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| E_aux_PTO_RoadSweeping                 | [kWh]                                              | Total energy demand of the pto acitvation in mode 2 (engineering mode only).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| E_aux_PTO_DuringDrive                  | [kWh]                                              | Total energy demand of the pto activation in mode 3 (engineering mode only.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| E_aux_ess_mech                         | [kWh]                                              | Total work of auxiliaries during engine stop and thus not considered in FC-Map and FC-AAUX. Considered in FC-ESS_Corr via [fuel consumption correction](#engine-fuel-consumption-correction) (Based on P_aux_ESS_mech in .vmod)                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| a                                      | [m/s^2^]                                           | Average acceleration                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| a_pos                                  | [m/s^2^]                                           | Average acceleration in acceleration phases (a~3s~ \> 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| a_neg                                  | [m/s^2^]                                           | Average deceleration in deceleration phases (a~3s~ \< 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| AccelerationTimeShare                  | [%]                                                | Time share of acceleration phases (a~3s~ \> 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| DecelerationTimeShare                  | [%]                                                | Time share of deceleration phases (a~3s~ \< 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| CruiseTimeShare                        | [%]                                                | Time share of cruise phases (-0.125 ≤ a~3s~ ≤ 0.125 \[m/s^2^\])                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| StopTimeShare                          | [%]                                                | Time share of stop phases (v \< 0.1 \[m/s\])                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |


**Note:** The fuel name is only added to the fuel consumption signals for vehicles with dual-fuel engines. In case single-fuel and dual-fuel vehicles are simulated in one simulation run, the fuel consumption for single-fuel vehicles is reported without the fuel name suffix while the fuel consumption of dual fuel vehicles contains the fuel name suffix!

***Energy Bilance***

To ensure the energy bilance of the vehicle, the following formulas are always ensured:

* E_fcmap_pos = E_fcmap_neg + E_powertrain_inertia + E_aux_xxx E_clutch_loss + E_tc_loss + E_gbx_loss + E_ret_loss + E_angle_loss + E_axl_loss + E_brake + E_vehicle_inertia + E_air + E_roll + E_grad + E_PTO_CONSUM + E_PTO_TRANSM
* E_fcmap_pos = P_fcmap_pos * time

*Hint: E_shift_loss is not taken into account here, because it is already included in E_gbx_loss.*


